Rysunek Roboczy: Krzywa Bezier'a
|
Lokalizacja w menu |
---|
Drafting → Narzędzia Beziera → Krzywa Beziera |
Środowisko pracy |
Rysunek Roboczy, Architektura |
Domyślny skrót |
B Z |
Wprowadzono w wersji |
0.14 |
Zobacz także |
CubicBezCurve, Krzywa złożona |
Description
The Draft BezCurve command creates a Bézier curve from several points.
The command creates a single Bézier curve with a DANEDegree that is number_of_points - 1
. It can be transformed into a piecewise Bézier curve by reducing this property.
The Draft BezCurve and the Draft CubicBezCurve commands use control points to define the position and curvature of the spline. The Draft BSpline command, on the other hand, specifies the exact points through which the curve will pass.
Bézier curve defined by multiple points
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- Press the
Draft BezCurve button.
- Select the Drafting → Bézier tools →
Bézier curve option from the menu.
- Use the keyboard shortcut: B then Z. introduced in version 0.20
- Press the
- The Bézier curve task panel opens. See Options for more information.
- Pick the first point in the 3D view, or type coordinates and press the
Enter point button.
- Pick additional points in the 3D view, or type coordinates and press the
Enter point button.
- Press Esc or the Close button to finish the command.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
- Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created curve will have DANEMake Face set to
true
and will have a filled face, provided it is closed and does not self-intersect. Note that a self-intersecting curve with a face will not display properly, for such a curve DANEMake Face must be set tofalse
. - Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after using
Finish or
Close, or after creating a closed curve by snapping to the first point of the curve, allowing you to continue creating curves.
- Press / or the
Undo button to undo the last point.
- Press A or the
Finish button to finish the command and leave the curve open.
- Press O or the
Close button to finish the command and close the curve. A closed curve can also be created by snapping to the first point of the curve.
- Press W or the
Wipe button to delete the segments already placed, but keep working from the last point.
- Press U or the
Set WP button to adjust the current working plane in the orientation defined by the last and the previous point.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to finish the command.
Notes
- A Draft BezCurve can be edited with the Draft Edit command.
- OpenCascade, and therefore FreeCAD, does not support Bézier curves of degrees larger than 25. This should not be a problem in practice, as most users typically use Bézier curves of degrees 3 to 5.
Preferences
See also: Preferences Editor and Draft Preferences.
- To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
- To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
Properties
See also: Property editor.
A Draft BezCurve object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DANEArea (
Area
): (read-only) specifies the area of the face of the curve. The value will be0.0
if DANEMake Face iffalse
or the face cannot be created. - DANEClosed (
Bool
): specifies if the curve is closed or not. If the curve is initially open this value isfalse
, setting it totrue
will draw a segment to close the curve. If the curve is initially closed this value istrue
, setting it tofalse
will remove the last segment and make the curve open. - DANEContinuity (
IntegerList
): (read-only) specifies the continuity of the curve. - DANEDegree (
Integer
): specifies the degree of the curve. - DANELength (
Length
): (read-only) specifies the total length of the curve. - DANEMake Face (
Bool
): specifies if the curve makes a face or not. If it istrue
a face is created, otherwise only the perimeter is considered part of the object. This property only works if DANEClosed istrue
and if the curve does not self-intersect. - DANEPoints (
VectorList
): specifies the control points of the curve in its local coordinate system.
View
Draft
- WIDOKArrow Size (
Length
): specifies the size of the symbol displayed at the end of the curve. - WIDOKArrow Type (
Enumeration
): specifies the type of symbol displayed at the end of the curve, which can beDot
,Circle
,Arrow
,Tick
orTick-2
. - WIDOKEnd Arrow (
Bool
): specifies whether to show a symbol at the end of the curve, so it can be used as an annotation line. - WIDOKPattern (
Enumeration
): specifies the Draft Pattern with which to fill the face of the closed curve. This property only works if DANEMake Face istrue
and if WIDOKDisplay Mode isFlat Lines
. - WIDOKPattern Size (
Float
): specifies the size of the Draft Pattern.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Line use the make_bezcurve
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeBezCurve
method.
bezcurve = make_bezcurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
bezcurve = make_bezcurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
- Creates a
bezcurve
object with the given list of points,pointslist
.- Each point in the list is defined by its
FreeCAD.Vector
, with units in millimeters. - Alternatively, the input can be a
Part.Wire
, from which points are extracted.
- Each point in the list is defined by its
- If
closed
isTrue
, or if the first and last points are identical, the curve is closed. - If
placement
isNone
the curve is created at the origin. - If
face
isTrue
, and the curve is closed, the curve will make a face, that is, it will appear filled.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
p4 = App.Vector(1500, -2000, 0)
bezcurve1 = Draft.make_bezcurve([p1, p2, p3, p4], closed=True)
bezcurve2 = Draft.make_bezcurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
bezcurve3 = Draft.make_bezcurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)
doc.recompute()
- Kreślenie: Linia, Polilinia, Zaokrąglenie, Łuk, Łuk przez 3 punkty, Okrąg, Elipsa, Wielokąt foremny, Krzywa złożona, Krzywa Bezier'a, Punkt, Łącznik ścian, Kształt z tekstu, Kreskowanie, Prostokąt
- Adnotacje: Adnotacja wieloliniowa, Wymiarowanie, Etykieta, Edytor stylów adnotacji, Widżet skali anotacji
- Modyfikacja: Przesuń, Obróć, Skala, Odbicie lustrzane, Odsunięcie, Przytnij, Rozciągnij, Klonuj, Szyk, Szyk biegunowy, Szyk kołowy, Szyk po ścieżce, Szyk powiązań po ścieżce, Szyk z punktów, Szyk powiązań w punktach, Edycja, Podświetl element podrzędny, Połącz, Rozdziel, Ulepsz kształt, Rozbij obiekt na elementy, Polilinia na krzywą złożoną, Rysunek Roboczy do szkicu, Nachylenie, Obróć wymiar, Widok 2D kształtu
- Tacka narzędziowa: Wybór płaszczyzny, Ustaw styl, Przełącz tryb konstrukcyjny, Grupowanie automatyczne
- Przyciąganie: Przełącz przyciąganie, Przyciągnij do punktu końcowego, Przyciągnij do punktu środkowego, Przyciągnij do środka, Przyciągnij do kąta, Przyciąganie do punktu przecięcia, Przyciągnij prostopadle, Rozszerz, Przyciągnij równolegle, Przyciągnij specjalnie, Przyciąganie do najbliższego, Przyciągnij ortogonalnie, Przyciągnij do siatki, Przyciągnij do płaszczyzny roboczej, Przyciągnij do wymiaru, Pokaż / ukryj siatkę
- Różności: Warstwa, Dodaj grupę o nazwie, Dodaj do grupy, Wybierz grupę, Dodaj do grupy konstrukcyjnej, Przełącz tryb wyświetlania, Pośrednia płaszczyzna robocza, Zastosuj bieżący styl, Ulecz, Przełącz tryb kontynuacji, Pokaż przybornik przyciągania
- Dodatkowe:: Wiązania, Wypełnienie wzorem, Preferencje, Ustawienia Importu i Eksportu, DXF/DWG, SVG, OCA, DAT
- Menu podręczne:
- Kontener warstwy: Połącz duplikaty warstw, Dodaj warstwę
- Warstwa: Aktywuj warstwę, Zaznacz zawartość warstwy
- Pośrednia płaszczyzna robocza: Zapisz ujęcie widoku, Zapisz stan obiektów

- Jak zacząć
- Instalacja: Pobieranie programu, Windows, Linux, Mac, Dodatkowych komponentów, Docker, AppImage, Ubuntu Snap
- Podstawy: Informacje na temat FreeCAD, Interfejs użytkownika, Profil nawigacji myszką, Metody wyboru, Nazwa obiektu, Edytor ustawień, Środowiska pracy, Struktura dokumentu, Właściwości, Pomóż w rozwoju FreeCAD, Dotacje
- Pomoc: Poradniki, Wideo poradniki
- Środowiska pracy: Strona Startowa, Architektura, Rysunek Roboczy, MES, Inspekcja, Siatka, OpenSCAD, Część, Projekt Części, Path, Punkty, Inżynieria Wsteczna, Robot, Szkicownik, Arkusz Kalkulacyjny, Start, Powierzchnia 3D, Rysunek Techniczny, Test Framework, Web